\resizebox{\columnwidth}{!}{
    \begin{tikzpicture}[
        roundnode/.style={circle, draw=black, fill=black, very thick, minimum size=1pt,},
        ignorednode/.style={circle, draw=black!20, fill=black!20, very thick, minimum size=1pt,},
        arrow/.style={|->, thick,},
        message/.style={->, blue!50, dashed, -{Circle[length=4pt,]}},
        ]

        \node[roundnode] (11) {};
        \node[left] at (11.west) {$p_0$};
        \node[above] at (11.north) {$I(0)$};
        \node[roundnode] (12) [right=of 11] {};
        \node[above] at (12.north) {$I(1)$};
        \node[roundnode] (13) [right=of 12] {};
        \node[above] at (13.north) {$I(2)$};
        \node[roundnode] (15) [right=of 13] {};
        \node[above] at (15.north) {$R/\{0,1,2\}$};
        \node[roundnode] (16) [right=of 15] {};
        \node[above] at (16.north) {$D(1)$};
        \node[roundnode] (17) [right=of 16] {};
        \node[above] at (17.north) {$R/\{0,2\}$};

        \draw[arrow] (11) -- (12);
        \draw[arrow] (12) -- (13);
        \draw[arrow] (13) -- (15);
        \draw[arrow] (15) -- (16);
        \draw[arrow] (16) -- (17);
    \end{tikzpicture}
}